Name:           websec
Version:        1.9.0
Release:        13.1
Summary:        Web Secretary - Web page monitoring software with highlighting

Group:          Applications/Internet
License:        GPLv2+
URL:            http://baruch.ev-en.org/proj/websec/
Source0:        http://baruch.ev-en.org/proj/websec/websec-1.9.0.tar.gz
# Patch0: newer GNU Make versions (3.82, maybe older as well) get confused by
# parts of the Makefile that are unused anyway, so remove them with this patch;
# upstream is dead afaics
Patch0:         %{name}-disable-htmldocs
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  /usr/bin/pod2man

Requires:       /usr/sbin/sendmail
# perl-IO-Socket-SSL needed for https:
Requires:       perl(IO::Socket::SSL)

%description
Web Secretary is a web page change monitoring software. It will detect changes
based on content analysis, making sure that it's not just HTML that changed,
but actual content. You can tell it what to ignore in the page (hit counters
and such), and it can mail you the document with the changes highlighted or 
load the highlighted page in a browser.


%prep
%setup -q
%patch0 -p1 -b .patch0


%build
make PREFIX=%{_prefix} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT .__doc
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

# proper permissions for man pages
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/man/man*/*

# temp doc dir 
mv $RPM_BUILD_ROOT%{_datadir}/doc/websec .__doc

# having the next two in the proper place would require proper dependencies,
# which is probably not worth the trouble as that would be bloat for most 
# users; so ship them as doc, that's better then not shipping them at all
mv $RPM_BUILD_ROOT%{_datadir}/vim/vim61 $RPM_BUILD_ROOT%{_datadir}/emacs/ \
   .__doc/
mkdir .__doc/scripts
cp rollback htmldiff .__doc/scripts/
chmod -x .__doc/scripts/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING HACKING NEWS TODO .__doc/*
%{_bindir}/*
%{_datadir}/man/man*/*


%changelog
* Fri Mar 01 2013 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.9.0-13.1
- add /usr/bin/pod2man as BR (needed for F19 #914569)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-12.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-11.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-10.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 22 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.9.0-9.1
- Add a patch that removes some usused HTML procssing bit from the Makefile
  that seem to confuse newer make versions; fixes #660818 (FTBS)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-8.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 22 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.9.0-5
- Manually require perl(IO::Socket::SSL) to make https work

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sun Apr 08 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.9.0-4
- rebuild

* Sun Apr 08 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.9.0-3
- remove the / add the end of the mv command

* Sat Apr 07 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.9.0-2
- Fixes found during review (#235573):
  - noarch automatically disables debuginfo
  - require /usr/sbin/sendmail instead of smtpdaemon

* Sat Apr 07 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.9.0-1
- Initial package
